Retrieve a PDF template
Roles
Analytics Events
/v2/credentials/compact/pdf/templates/{id}Retrieves an existing CWT credentials PDF template using its ID.
Analytic events
- CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_START
- CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_SUCCESS
- CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
PDF template ID
Response Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/compact/pdf/templates/string"{
"id": "4eea7654-d4c5-4eba-bd7a-5ca334d54725",
"name": "Certificate of participation",
"fileName": "certificate_of_participation",
"fonts": [
{
"name": "PublicSans-Regular",
"fileName": "fonts/PublicSans-Regular.ttf"
}
],
"metadata": {
"title": ""
},
"fields": [
{
"key": "familyName",
"value": "{{payload.sub_claims.familyName}}",
"isRequired": true,
"alternativeText": "{{payload.sub_claims.familyName}}",
"fontName": "PublicSans-Regular"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all PDF templates GET
Retrieves a list of all CWT credentials PDF templates available on the tenant. ### **Analytic events** * CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_START * CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_FAIL
Update a PDF template PUT
Update an existing CWT credential PDF template based on a provided `.zip` file. Refer to our [PDF template design guide](https://learn.mattr.global/docs/issuance/cwt-credential-templates/pdf-templates) for more information on how to design a template and structure the `.zip` file. ### **Analytic events** * CREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_START * CREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_SUCCESS * CREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_FAIL